Installing Apache Ambri on Ubuntu 14.04

If you have error like this:

ERROR 2015-08-25 13:33:54,601 Controller.py:143 - Cannot register host with not supported os type, hostname=h2.hadoopxyz.abc, serverOsType=ubuntu14, agentOsType=ubuntu14

 

You have to edit :

mc -e  /usr/lib/ambari-server/lib/ambari_commons/resources/os_family.json
mc -e /usr/lib/ambari-agent/lib/ambari_commons/resources/os_family.json

 

And change version number:

  "ubuntu": {
    "distro": [
      "ubuntu",
      "debian"
    ],
    "versions": [
      14
    ]
  },

 

ambri_errd

One thought on “Installing Apache Ambri on Ubuntu 14.04”

Leave a Reply

Your email address will not be published. Required fields are marked *